import request from '@/utils/request'

//登记表
export function receivingRegistration(data) {
  return request({
    url: '/point-strategy/v/receive/receivingRegistration', // 假地址 自行替换
    method: 'post',
    params:data
  })
}

//四性检测报告
export function handItemCheck(params) {
    return request({
      url: '/point-strategy/v/receive/handItemCheck',
      method: 'get',
      params
    })
}

// 四性检测结果
export function handCheckResult(params) {
  return request({
    url: '/point-strategy/v/receive/handCheckResult',
    method: 'get',
    params
  })
}

//离线接收
export function offlineReceive(data) {
    return request({
      url: '/point-strategy/v/receive/offlineReceive',
      method: 'post',
      
    })
}

//查询列表
export function selectReceiveInformation(data) {
    return request({
      url: '/point-strategy/v/receive/selectReceiveInformation',
      method: 'post',
      data
    })
}

// 开始移交
export function startReceiving(params) {
    return request({
      url: '/point-strategy/v/receive/startReceiving',
      method: 'get',
      params
    })
}

// 详情数据
export function receivingDetails(params) {
  return request({
    url: '/point-strategy/v/receive/receivingDetails',
    method: 'get',
    params
  })
}


// 服务器接收
export function serverReception(data) {
  return request({
    url: '/point-strategy/v/receive/serverReception',
    method: 'post',
    data
  })
}

// 获取数据接收详情
export function selectById(params) {
  return request({
    url: '/point-strategy/v/receive/selectById',
    method: 'get',
    params
  })
}

// 接收记录--接收按钮

export function updateInformation(params) {
  return request({
    url: '/point-strategy/v/receive/updateInformation',
    method: 'post',
    params
  })
}
